> For the complete documentation index, see [llms.txt](https://docs.echo3d.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.echo3d.com/api/organize.md).

# Organize

## Move an entry or entries to a folder

<mark style="color:green;">`POST`</mark> `https://api.echo3D.com/organize`

This endpoint allows you to move entries into a folder

#### Request Body

| Name                                         | Type   | Description                                                                                                                             |
| -------------------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------- |
| key<mark style="color:red;">\*</mark>        | string | Your API key.                                                                                                                           |
| email<mark style="color:red;">\*</mark>      | string | Your email address                                                                                                                      |
| userKey<mark style="color:red;">\*</mark>    | string | Your authentication key                                                                                                                 |
| entries<mark style="color:red;">\*</mark>    | string | A list of specific entry IDs separated by a comma.                                                                                      |
| folderPath<mark style="color:red;">\*</mark> | string | Path of the folder you wish to move the entries into. e.g. `example\folder`. If left empty, the assets will move to the root directory. |
| secKey                                       | string | Your Secret key. Only if enabled through the [Security page](/web-console/manage-pages/collections-and-sharing/security.md#secret-key). |

Please note that if you are sending request parameters as query string, you will need to encode **folderPath** value. Encoding will not be necessary if the parameters are sent in the body as FormData.

{% tabs %}
{% tab title="200 Update successful" %}

```
N/A
```

{% endtab %}

{% tab title="400: Bad Request error" %}

```
The following entries could not be found: ...
```

{% endtab %}
{% endtabs %}
